View Issue Details

IDProjectCategoryView StatusLast Update
0015287ScribusInternalpublic2019-06-04 20:56
Reporterdcb Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.3 
Target VersionFixed in Version1.5.5.svn 
Summary0015287: Bad comparison in api_imageitem.cpp
Descriptionscribus-1.5.3/scribus/plugins/scripter/api_imageitem.cpp:209]: (warning) Comparison of a boolean expression with an integer other than 0 or 1.

Source code is

        if (proportional != -1)

but

       bool proportional = true;
TagsNo tags attached.
PatchNo

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-04-29 17:11 dcb New Issue
2018-04-30 10:06 jghali Summary scribus-1.5.3/scribus/plugins/scripter/api_imageitem.cpp:209: bad compare ? => Bad comparison in api_imageitem.cpp
2018-04-30 10:10 jghali Assigned To => jghali
2018-04-30 10:10 jghali Status new => resolved
2018-04-30 10:10 jghali Resolution open => fixed
2018-04-30 10:10 jghali Fixed in Version => 1.5.5.svn
2018-04-30 10:36 jghali Category Plug-ins => Internal
2018-04-30 15:24 jghali Product Version => 1.5.3
2019-06-04 20:56 cbradney Status resolved => closed